<?php
/**
 * ImportsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi PIM.
 *
 * PIM
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\PimClient;

use \Ensi\PimClient\Configuration;
use \Ensi\PimClient\ApiException;
use \Ensi\PimClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * ImportsApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class ImportsApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createProductImport
     *
     * Creating an object of ProductImport and starting import.
     *
     */
    public function testCreateProductImport()
    {
    }

    /**
     * Test case for getProductImport
     *
     * Get the object of ProductImport by ID.
     *
     */
    public function testGetProductImport()
    {
    }

    /**
     * Test case for preloadImportFile
     *
     * Uploading a file for ProductImport.
     *
     */
    public function testPreloadImportFile()
    {
    }

    /**
     * Test case for searchProductImportWarnings
     *
     * Search for objects of ProductImportWarning.
     *
     */
    public function testSearchProductImportWarnings()
    {
    }

    /**
     * Test case for searchProductImports
     *
     * Search for objects of ProductImport.
     *
     */
    public function testSearchProductImports()
    {
    }
}
